Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1052318 - PRD34 - [RFE] Allow shared domain of multiple types in a single Data Center
Summary: PRD34 - [RFE] Allow shared domain of multiple types in a single Data Center
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: All
OS: All
high
medium
Target Milestone: ---
: 3.4.0
Assignee: Tal Nisan
QA Contact: Aharon Canan
URL: http://www.ovirt.org/Features/Mixed_T...
Whiteboard: storage
Depends On: 1038053 1063996 1082941 1083476 1083560
Blocks: 954361 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-13 15:58 UTC by Sean Cohen
Modified: 2018-12-06 15:41 UTC (History)
16 users (show)

Fixed In Version: ovirt-engine-3.4.0_beta2
Doc Type: Enhancement
Doc Text:
Shared storage domains of multiple types (iSCSI, FCP, NFS, Posix, Gluster) can now be added to a single data center.
Clone Of: 1038053
Environment:
Last Closed: 2014-06-09 15:08:53 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 141623 None None None 2018-11-14 09:35:46 UTC
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 23590 None None None Never

Description Sean Cohen 2014-01-13 15:58:15 UTC
+++ This bug was initially created as a clone of Bug #1038053 +++

Description of problem:
Allow attaching domains of several types to a single Data Center

The limitation is fictitious, and there is no gain in maintianing it.

--- Additional comment from Sven Kieske on 2014-01-08 07:34:42 EST ---

Can this be done for 3.4? It would be HUGE!

I don't know what parts of the code need to be changed.

I would do it myself with some guidance and submit the patches in my free time, if my java skills suffice.

--- Additional comment from Juan Pablo Lorier on 2014-01-08 08:33:59 EST ---

Getting this limitation out of the way asap would be a great enhancement.

Comment 1 Ayal Baron 2014-01-14 08:54:54 UTC
Note that this will only cover mixing 'shared' storage domain types, i.e. it will not enable adding 'local' domains to DCs with other types of storage.
Any other combination should be fine (iscsi, nfs, fc, posix, gluster).

Being able to also mix local and shared will be covered by bug 757291

Comment 2 Sven Kieske 2014-01-14 09:29:07 UTC
Thanks for this information, however https://bugzilla.redhat.com/show_bug.cgi?id=757291 is marked as private, so I can't see that.

Any chance of making it accessible to the public?
I'm most interested in mixing local storage with other storage types.

Comment 3 Juan Pablo Lorier 2014-01-14 12:21:15 UTC
+1 to make it public as I'm also very interested in this RFE

Comment 4 Itamar Heim 2014-01-23 18:11:38 UTC
ayal - iirc you mentioned some limitations - please document them here and in bug 1038053 and in ovirt 3.4 release notes...

Comment 5 Ayal Baron 2014-01-23 18:21:15 UTC
(In reply to Itamar Heim from comment #4)
> ayal - iirc you mentioned some limitations - please document them here and
> in bug 1038053 and in ovirt 3.4 release notes...

As the title states, this RFE is about allowing to mix domains of shared types (iSCSI, FCP, NFS, Posix, Gluster) together.
What you cannot do is mix local domains with shared domains.
In addition, there are limitations on live storage migration (you cannot live migrate a disk from a file based domain to a block based domain).

Comment 7 errata-xmlrpc 2014-06-09 15:08:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html

Comment 8 Itamar Heim 2014-06-15 19:23:12 UTC
*** Bug 757291 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.